Gdk Gtk advertencias y errores de la línea de comando

73

En la versión más nueva de Ubuntu (11.10) cuando corro desde la línea de comando, Gtk se queja en voz alta (en varias líneas) cada vez que se abre una ventana. El problema está claramente relacionado con el tema: si cambio el valor predeterminado de Ambiance a High-Contrast , esto desaparece. Algunos ejemplos:

travis@hydrogen:~$ emacs foo.txt
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

travis@hydrogen:~$ evince test.pdf 
(evince:1566): GLib-GObject-WARNING **: g_object_set_valist: construct property "enable-gestures" for object 'EvView' can't be set after construction
(evince:1566): Gdk-CRITICAL **: gdk_window_get_pointer: assertion 'GDK_IS_WINDOW (window)' failed
(evince:1566): Gdk-CRITICAL **: gdk_window_get_pointer: assertion 'GDK_IS_WINDOW (window)' failed
(evince:1566): Gdk-CRITICAL **: gdk_window_get_pointer: assertion 'GDK_IS_WINDOW (window)' failed

Me gustan los temas y no quiero separarme de ellos. ¿Cómo puedo arreglar la verbosidad de la línea de comando de Gtk? Simplemente puedo piratear la línea de comando para filtrar estos mensajes, pero realmente no me gusta esa idea.

Posiblemente relacionado

De una versión anterior: Cómo deshacerse de la línea de error impar ...

    
pregunta Hooked 14.10.2011 - 20:31

1 respuesta

103

Los mensajes Unable to locate theme engine in module_path: "pixmap"  son conocidos error .

Para solucionarlo, instale la gtk2-engines-pixbuf paquete

Las advertencias que se obtienen al ejecutar Evince son un error por separado. Todavía no hay una solución para eso, por lo que puedo decir.

    
respondido por el Isaiah 14.10.2011 - 20:45

Lea otras preguntas en las etiquetas